const contents =
[
    {
        name: 'ReferenceError',
        ja: 'リファレンス エラー',
        list: [
            `"x" is not defined`,
            `assignment to undeclared variable "x"`,
            `can't access lexical declaration'X' before initialization`,
            `deprecated caller or arguments usage`,
            `invalid assignment left-hand side`,
            `reference to undefined property "x"`
        ]
    },
    {
        name: 'SyntaxError',
        ja: 'シンタックス エラー',
        list: [
            `"0"-prefixed octal literals and octal escape seq. are deprecated`,
            `"use strict" not allowed in function with non-simple parameters`,
            `"x" is a reserved identifier`,
            `JSON.parse: bad parsing`,
            `Malformed formal parameter`,
            `Unexpected token`,
            `Using //@ to indicate sourceURL pragmas is deprecated. Use //# instead`,
            `a declaration in the head of a for-of loop can't have an initializer`,
            `applying the 'delete' operator to an unqualified name is deprecated`,
            `for-in loop head declarations may not have initializers`,
            `function statement requires a name`,
            `identifier starts immediately after numeric literal`,
            `illegal character`,
            `invalid regular expression flag "x"`,
            `missing ) after argument list`,
            `missing ) after condition`,
            `missing : after property id`,
            `missing ; before statement`,
            `missing = in const declaration`,
            `missing ] after element list`,
            `missing formal parameter`,
            `missing name after . operator`,
            `missing variable name`,
            `missing } after function body`,
            `missing } after property list`,
            `redeclaration of formal parameter "x"`,
            `return not in function`,
            `test for equality (==) mistyped as assignment (=)?`,
            `unterminated string literal`
        ]
    },
    {
        name: 'TypeError',
        ja: 'タイプ エラー',
        list: [
            `"x" has no properties`,
            `"x" is (not) "y"`,
            `"x" is not a constructor`,
            `"x" is not a function`,
            `"x" is not a non-null object`,
            `"x" is read-only`,
            `'x' is not iterable`,
            `More arguments needed`,
            `Reduce of empty array with no initial value`,
            `X.prototype.y called on incompatible type`,
            `can't access dead object`,
            `can't assign to property "x" on "y": not an object`,
            `can't define property "x": "obj" is not extensible`,
            `can't delete non-configurable array element`,
            `can't redefine non-configurable property "x"`,
            `cannot use 'in' operator to search for 'x' in 'y'`,
            `cyclic object value`,
            `invalid 'instanceof' operand 'x'`,
            `invalid Array.prototype.sort argument`,
            `invalid assignment to const "x"`,
            `property "x" is non-configurable and can't be deleted`,
            `setting getter-only property "x"`
        ]
    },
    {
        name: 'RangeError',
        ja: 'レンジ エラー',
        list: [
            `argument is not a valid code point`,
            `invalid array length`,
            `invalid date`,
            `precision is out of range`,
            `radix must be an integer`,
            `repeat count must be less than infinity`,
            `repeat count must be non-negative`
        ]
    },
    {
        name: 'URIError',
        ja: 'URI エラー',
        list: [
            `malformed URI sequence`
        ]
    },
    {
        name: 'InternalError',
        ja: 'インターナル エラー',
        list: [
            `too much recursion`
        ]
    },
    {
        name: 'Error',
        ja: 'エラー',
        list: [
            `Permission denied to access property "x"`
        ]
    },
    {
        name: 'Warning',
        ja: 'ウォーニング',
        list: [
            `08/09 is not a legal ECMA-262 octal constant`,
            `-file- is being assigned a //# sourceMappingURL, but already has one`,
            `Date.prototype.toLocaleFormat is deprecated`,
            `String.x is deprecated; use String.prototype.x instead`,
            `expression closures are deprecated`,
            `unreachable code after return statement`
        ]
    }
]